form {
  padding: 20px;
  margin: 10px 0;
 
}

label {
  margin: 5px 0;
  display: block;
}

input, textarea {
  border:  1px solid #ff0000;
  background-color: #ffff99;
}

input:focus, input:hover, textarea:focus, textarea:hover {
  background-color: #ffff00;
}

input.knopf {
  padding: 3px;
  margin-top: 10px;
  background-color: white;
  border-color: gray;
}

legend {
  color: red;
}

fieldset {
  display: block;
  width: 60%;
  padding: 10px;
  border: 1px solid silver;
  margin-right: 5px;
  margin-bottom: 10px;
}